<?php
$ruta = parse_url($_SERVER['REQUEST_URI']);

if (isset($ruta["query"])) {
  if (
    $ruta["query"] == "ctrRegMembresia" ||
    $ruta["query"] == "ctrEditMembresia" ||
    $ruta["query"] == "ctrEliMembresia"
  ) {
    $metodo = $ruta["query"];
    $Membresia = new ControladorMembresia();
    $Membresia->$metodo();
  }
}


class ControladorMembresia
{

  static public function ctrInformacionMembresia()
  {
    $respuesta = ModeloMembresia::mdlInformacionMembresia();
    return $respuesta;
  }

  static public function ctrRegMembresia()
  {
    require "../modelo/membresiaModelo.php";

    $data = array(
      "descripcion" => $_POST["descripcion"],
      "costo" => $_POST["costo"]
    );

    $respuesta = ModeloMembresia::mdlRegMembresia($data);
    echo $respuesta;
  }

  static public function ctrInfoMembresia($id)
  {
    $respuesta = ModeloMembresia::mdlInfoMembresia($id);
    return $respuesta;
  }

  static public function ctrEditMembresia()
  {
    require "../modelo/MembresiaModelo.php";

    $data = array(
      "idMembresia" => $_POST["idMembresia"],
      "descripcion" => $_POST["descripcion"],
      "estado" => $_POST["estado"],
      "costo" => $_POST["costo"]
    );
    $respuesta = ModeloMembresia::mdlEditMembresia($data);
    echo $respuesta;
  }

  static public function ctrEliMembresia()
  {
    require "../modelo/membresiaModelo.php";
    $id = $_POST["id"];

    $respuesta = ModeloMembresia::mdlEliMembresia($id);
    echo $respuesta;
  }
}
